Skip to content
Start here

Get build by UUID

GET/accounts/{account_id}/builds/builds/{build_uuid}

Retrieve detailed information about a specific build

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers CI WriteWorkers CI Read
Path ParametersExpand Collapse
account_id: string

Account identifier.

build_uuid: string

Build UUID.

formatuuid
ReturnsExpand Collapse
errors: array of object { code, message }
code: optional number
message: optional string
messages: array of string
result: object { build_outcome, build_trigger_metadata, build_uuid, 8 more }
build_outcome: optional "success" or "fail" or "skipped" or 2 more
One of the following:
"success"
"fail"
"skipped"
"cancelled"
"terminated"
build_trigger_metadata: optional object { author, branch, build_command, 11 more }
author: optional string
branch: optional string

Git branch name.

build_command: optional string
build_token_name: optional string
build_token_uuid: optional string

Build token UUID.

formatuuid
build_trigger_source: optional "push" or "pull_request" or "manual" or "api"
One of the following:
"push"
"pull_request"
"manual"
"api"
commit_hash: optional string

Git commit hash

commit_message: optional string
deploy_command: optional string
environment_variables: optional map[string]
provider_account_name: optional string
provider_type: optional "github"
repo_name: optional string
root_directory: optional string

Root directory path.

build_uuid: optional string

Build UUID.

formatuuid
created_on: optional string
formatdate-time
initializing_on: optional string
formatdate-time
modified_on: optional string
formatdate-time
pull_request: optional object { created_on, pull_request_url }
created_on: optional string
formatdate-time
pull_request_url: optional string
formaturi
running_on: optional string
formatdate-time
status: optional "queued" or "initializing" or "running" or "stopped"
One of the following:
"queued"
"initializing"
"running"
"stopped"
stopped_on: optional string
formatdate-time
trigger: optional object { branch_excludes, branch_includes, build_caching_enabled, 12 more }

Trigger information without build_token_uuid

branch_excludes: optional array of string
branch_includes: optional array of string
build_caching_enabled: optional boolean
build_command: optional string
created_on: optional string
formatdate-time
deleted_on: optional string
formatdate-time
deploy_command: optional string
external_script_id: optional string

External script identifier.

modified_on: optional string
formatdate-time
path_excludes: optional array of string
path_includes: optional array of string
repo_connection: optional object { created_on, deleted_on, modified_on, 6 more }
created_on: optional string
formatdate-time
deleted_on: optional string
formatdate-time
modified_on: optional string
formatdate-time
provider_account_id: optional string

Provider account identifier.

provider_account_name: optional string
provider_type: optional "github"
repo_connection_uuid: optional string

Repository connection UUID.

formatuuid
repo_id: optional string

Repository identifier.

repo_name: optional string
root_directory: optional string

Root directory path.

trigger_name: optional string
trigger_uuid: optional string

Trigger UUID.

formatuuid
success: boolean
result_info: optional object { count, page, per_page, 2 more }
count: optional number
page: optional number
per_page: optional number
total_count: optional number
total_pages: optional number

Get build by UUID

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/builds/builds/$BUILD_UUID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "build_outcome": "success",
    "build_trigger_metadata": {
      "author": "developer@cloudflare.com",
      "branch": "main",
      "build_command": "npm run build",
      "build_token_name": "My Build Token",
      "build_token_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "build_trigger_source": "push",
      "commit_hash": "abc123def456",
      "commit_message": "Add new feature",
      "deploy_command": "npx wrangler deploy",
      "environment_variables": {
        "foo": "string"
      },
      "provider_account_name": "Cloudflare",
      "provider_type": "github",
      "repo_name": "workers-sdk",
      "root_directory": "/"
    },
    "build_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_on": "2019-12-27T18:11:19.117Z",
    "initializing_on": "2019-12-27T18:11:19.117Z",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "pull_request": {
      "created_on": "2019-12-27T18:11:19.117Z",
      "pull_request_url": "https://github.com/cloudflare/workers-sdk/pull/123"
    },
    "running_on": "2019-12-27T18:11:19.117Z",
    "status": "running",
    "stopped_on": "2019-12-27T18:11:19.117Z",
    "trigger": {
      "branch_excludes": [
        "string"
      ],
      "branch_includes": [
        "main"
      ],
      "build_caching_enabled": false,
      "build_command": "npm run build",
      "created_on": "2019-12-27T18:11:19.117Z",
      "deleted_on": "2019-12-27T18:11:19.117Z",
      "deploy_command": "npx wrangler deploy",
      "external_script_id": "my-worker",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "path_excludes": [
        "*.md"
      ],
      "path_includes": [
        "*"
      ],
      "repo_connection": {
        "created_on": "2019-12-27T18:11:19.117Z",
        "deleted_on": "2019-12-27T18:11:19.117Z",
        "modified_on": "2019-12-27T18:11:19.117Z",
        "provider_account_id": "cloudflare",
        "provider_account_name": "Cloudflare",
        "provider_type": "github",
        "repo_connection_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "repo_id": "workers-sdk",
        "repo_name": "workers-sdk"
      },
      "root_directory": "/",
      "trigger_name": "Production Deploy",
      "trigger_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    }
  },
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 50,
    "total_count": 150,
    "total_pages": 3
  }
}
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "build_outcome": "success",
    "build_trigger_metadata": {
      "author": "developer@cloudflare.com",
      "branch": "main",
      "build_command": "npm run build",
      "build_token_name": "My Build Token",
      "build_token_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "build_trigger_source": "push",
      "commit_hash": "abc123def456",
      "commit_message": "Add new feature",
      "deploy_command": "npx wrangler deploy",
      "environment_variables": {
        "foo": "string"
      },
      "provider_account_name": "Cloudflare",
      "provider_type": "github",
      "repo_name": "workers-sdk",
      "root_directory": "/"
    },
    "build_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_on": "2019-12-27T18:11:19.117Z",
    "initializing_on": "2019-12-27T18:11:19.117Z",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "pull_request": {
      "created_on": "2019-12-27T18:11:19.117Z",
      "pull_request_url": "https://github.com/cloudflare/workers-sdk/pull/123"
    },
    "running_on": "2019-12-27T18:11:19.117Z",
    "status": "running",
    "stopped_on": "2019-12-27T18:11:19.117Z",
    "trigger": {
      "branch_excludes": [
        "string"
      ],
      "branch_includes": [
        "main"
      ],
      "build_caching_enabled": false,
      "build_command": "npm run build",
      "created_on": "2019-12-27T18:11:19.117Z",
      "deleted_on": "2019-12-27T18:11:19.117Z",
      "deploy_command": "npx wrangler deploy",
      "external_script_id": "my-worker",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "path_excludes": [
        "*.md"
      ],
      "path_includes": [
        "*"
      ],
      "repo_connection": {
        "created_on": "2019-12-27T18:11:19.117Z",
        "deleted_on": "2019-12-27T18:11:19.117Z",
        "modified_on": "2019-12-27T18:11:19.117Z",
        "provider_account_id": "cloudflare",
        "provider_account_name": "Cloudflare",
        "provider_type": "github",
        "repo_connection_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "repo_id": "workers-sdk",
        "repo_name": "workers-sdk"
      },
      "root_directory": "/",
      "trigger_name": "Production Deploy",
      "trigger_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    }
  },
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 50,
    "total_count": 150,
    "total_pages": 3
  }
}
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}